Skip to main content
object

Requires read_orders access scope.

A TenderTransaction represents a transaction with financial impact on a shop's balance sheet. A tender transaction always represents actual money movement between a buyer and a shop. TenderTransactions can be used instead of OrderTransactions for reconciling a shop's cash flow. A TenderTransaction is immutable once created.

•MoneyV2!
non-null

The amount and currency of the tender transaction.

Show fields
•ID!
non-null

A globally-unique ID.

•Order

The order that's related to the tender transaction. This value is null if the order has been deleted.

Show fields
•String

Information about the payment method used for the transaction.

•DateTime

Date and time when the transaction was processed.

•String

The remote gateway reference associated with the tender transaction.

•Boolean!
non-null

Whether the transaction is a test transaction.

•TenderTransactionDetails

Information about the payment instrument used for the transaction.

Show union types
•StaffMember

The staff member who performed the transaction.

Show fields

Was this section helpful?

•query

Transactions representing a movement of money between customers and the shop. Each transaction records the amount, payment method, processing details, and the associated Order.

Positive amounts indicate customer payments to the merchant. Negative amounts represent refunds from the merchant to the customer. Use the query parameter to filter transactions by attributes such as transaction ID, processing date, and point-of-sale device ID.

Show fields

Arguments

•String

The elements that come after the specified cursor.

•String

The elements that come before the specified cursor.

•Int

The first n elements from the paginated list.

•Int

The last n elements from the paginated list.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Show filters
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
Anchor to point_of_sale_device_id
•id
Anchor to processed_at
•time
•boolean
•Boolean
Default:false

Reverse the order of the underlying list.



Was this section helpful?

•interface

Was this section helpful?